be.fgov.ehealth.insurability.core.v2

## Class CoverageType

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v2.CoverageType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:28:25+02:00",
                 comments="JAXB RI v2.2.11")
      public class CoverageType
      extends Object
      implements Serializable

  The "root"-type of the CoverageType element.

  Java class for CoverageType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CoverageType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Communicated" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="Period" type="{urn:be:fgov:ehealth:insurability:core:v2}PeriodType"/>
               <element name="Entitlement" type="{urn:be:fgov:ehealth:insurability:core:v2}EntitlementType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoverageType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getCommunicated()` Gets the value of the communicated property.
    `EntitlementType` | `getEntitlement()` Gets the value of the entitlement property.
    `PeriodType` | `getPeriod()` Gets the value of the period property.
    `void` | `setCommunicated(org.joda.time.DateTime value)` Sets the value of the communicated property.
    `void` | `setEntitlement(EntitlementType value)` Sets the value of the entitlement property.
    `void` | `setPeriod(PeriodType value)` Sets the value of the period property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoverageType

          public CoverageType()

  - ### Method Detail

    - #### getCommunicated

          public org.joda.time.DateTime getCommunicated()

      Gets the value of the communicated property.
      Returns:
        possible object is `String`

    - #### setCommunicated

          public void setCommunicated(org.joda.time.DateTime value)

      Sets the value of the communicated property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPeriod

          public PeriodType getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `PeriodType`

    - #### setPeriod

          public void setPeriod(PeriodType value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `PeriodType`

    - #### getEntitlement

          public EntitlementType getEntitlement()

      Gets the value of the entitlement property.
      Returns:
        possible object is `EntitlementType`

    - #### setEntitlement

          public void setEntitlement(EntitlementType value)

      Sets the value of the entitlement property.
      Parameters:
        `value` - allowed object is `EntitlementType`

Connector Packaging generic 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.